LibreOffice LibreOffice 26.2 SDK API Reference

Modules | Variables
MethodConcept.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::beans
| Java beans-like property access and introspection.

## Constant Groups
constants | com::sun::star::beans::MethodConcept
| These constants are used to specify concepts of the introspection which apply to methods.

## Variables
const long | ALL = -1
| This value is used to query for all methods, see XIntrospectionAccess::getMethod() and XIntrospectionAccess::getMethods() More...
const long | DANGEROUS = 1
| specifies methods which can result in an unstable state (i.e. More...
const long | PROPERTY = 2
| specifies methods which are used to set and get the value of properties/attributes. More...
const long | LISTENER = 4
| specifies methods of the listener concept. More...
const long | ENUMERATION = 8
| specifies methods of the enumeration concept. More...
const long | NAMECONTAINER = 16
| specifies methods of the name container concept. More...
const long | INDEXCONTAINER = 32
| specifies methods of the index container concept. More...